Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0047169
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[POS2] POSmajoralways2021-06-17 10:272021-07-02 16:15
ReporterjmelinView Statuspublic 
Assigned Toprakashmurugesan88 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0047169: JIRA 2087 - When adding a menu to end of an order, the component don't show up

DescriptionWhen adding a menu to end of an order, the component don't show automatically, you need to scroll down
Steps To ReproduceNot reproductible on tap, only customer env

1. Connect to POS
2. Start an order and add products so the order window is full of products
3. Add a new product => it scrolls down to the new product
4. Add a new menu => it scrolls to the menu but component are not visible

TagsNo tags attached.
Attached Filespng file icon 1.PNG [^] (49,308 bytes) 2021-06-17 10:28


png file icon 2.PNG [^] (52,067 bytes) 2021-06-17 10:28

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0047177TAP closedprakashmurugesan88 JIRA 2087 - When adding a menu to end of an order, the component don't show up 

-  Notes
(0130081)
hgbot (developer)
2021-07-01 18:08

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/590 [^]
(0130108)
hgbot (developer)
2021-07-02 16:15

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2 [^]
Changeset: 6aeeae5b0c1eb76b95c9f9905fec4fb8945462e4
Author: Prakash M <prakash@qualiantech.com>
Date: 2021-07-02T14:15:34+00:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/commit/6aeeae5b0c1eb76b95c9f9905fec4fb8945462e4 [^]

Fixed BUG-47169: Fixes adding menu to end of an order with scroll, it doesn't scroll down completely to end
* Issue occurs due to delay in rendering menu items
* Fixed by allowing to scroll to the selected line on re-render

---
M web-jspack/org.openbravo.pos2/src/components/Ticket/TicketLines/TicketLines.jsx
---
(0130109)
hgbot (developer)
2021-07-02 16:15

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/590 [^]

- Issue History
Date Modified Username Field Change
2021-06-17 10:27 jmelin New Issue
2021-06-17 10:27 jmelin Assigned To => Retail
2021-06-17 10:27 jmelin Triggers an Emergency Pack => No
2021-06-17 10:28 jmelin File Added: 1.PNG
2021-06-17 10:28 jmelin File Added: 2.PNG
2021-06-17 17:54 dmiguelez Status new => scheduled
2021-06-17 17:54 dmiguelez Status scheduled => acknowledged
2021-06-28 13:23 prakashmurugesan88 Assigned To Retail => prakashmurugesan88
2021-06-28 13:24 prakashmurugesan88 Status acknowledged => scheduled
2021-07-01 18:08 hgbot Note Added: 0130081
2021-07-02 16:15 hgbot Resolution open => fixed
2021-07-02 16:15 hgbot Status scheduled => closed
2021-07-02 16:15 hgbot Note Added: 0130108
2021-07-02 16:15 hgbot Note Added: 0130109


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker